{% extends 'adminbase.html.twig' %}

{% block title %}Rates index
{% endblock %}

{% block body %}
	<h1>Notes</h1>

	<table class="table">
		<thead>
			<tr>
				<th>Jeu</th>
				<th>Utilisateur</th>
				<th>Commentaire</th>
				<th>Note</th>
				{% if is_granted('ROLE_ADMIN') %}
					<th>actions</th>
				{% endif %}
			</tr>
		</thead>
		<tbody>
			{% for rate in rates %}
				{% if (rate.approved == true) %}
					<tr>
						<td>{{rate.gameid.title}}</td>
						{# {{dump(rate)}} #}
						<td>{{rate.userid.email}}</td>

						<td>{{ rate.comment }}</td>
						<td>{{ rate.note }}</td>
						{# si user = admin alors montre ce qui suit #}
						{% if is_granted('ROLE_ADMIN') %}
							<td>
								<a href="{{ path('rates_show', {'id': rate.id}) }}">show</a>
								<a href="{{ path('rates_edit', {'id': rate.id}) }}">edit</a>
							</td>
						{% endif %}
					</tr>
				{% else %}
					<tr>
						<td colspan="4">Commentaire non approuvé</td>
						{% if is_granted('ROLE_ADMIN') %}
							<td>
								<a href="{{ path('rates_show', {'id': rate.id}) }}">show</a>
								<a href="{{ path('rates_edit', {'id': rate.id}) }}">edit</a>
							</td>
						{% endif %}
					</tr>
				{% endif %}
			{% endfor %}
		</tbody>
	</table>
{% endblock %}
